#pragma once

#include <string>

#include "./Animal.hpp"
#include "./Brain.hpp"

class Cat : public Animal
{
	 public:
		Cat(const Cat& src);
		Cat &operator=(const Cat& src);
		Cat();
		~Cat();

		void makeSound() const;

	private:
		Brain* brain;
};
