#pragma once

#include <string>

#include "./Animal.hpp"
#include "./Brain.hpp"

class Dog : public Animal
{
	 public:
		Dog(const Dog& src);
		Dog &operator=(const Dog& src);
		Dog();
		~Dog();

		void makeSound() const;

	private:
		Brain* brain;
};
