#include "AAnimal.hpp"
#include <iostream>
#include <string>

AAnimal::AAnimal()
{
	std::cout << "AAnimal()" << std::endl;
}

AAnimal::AAnimal(const AAnimal& src)
{
	*this = src;
}

AAnimal& AAnimal::operator=(const AAnimal &src)
{
	this->type = src.type;
	return *this;
}

AAnimal::~AAnimal()
{
	std::cout << "~AAnimal()" << std::endl;
}

void AAnimal::makeSound() const
{
	std::cout << "OuGAABounga" << std::endl;
}

std::string AAnimal::getType() const
{
	return this->type;
}
